Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ProtocolProperties Interface Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::ProtocolProperties:

[legend]
Collaboration diagram for RTCORBA::ProtocolProperties:

[legend]
List of all members.

## Public Types
typedef ProtocolProperties_ptr | _ptr_type
typedef ProtocolProperties_var | _var_type
## Public Methods
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | _tao_encode (TAO_OutputCDR &out_cdr)
virtual CORBA::Boolean | _tao_decode (TAO_InputCDR &in_cdr)
## Static Public Methods
ProtocolProperties_ptr | _duplicate (ProtocolProperties_ptr obj)
ProtocolProperties_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ProtocolProperties_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ProtocolProperties_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| ProtocolProperties (void)
virtual | ~ProtocolProperties (void)
## Private Methods
| ProtocolProperties (const ProtocolProperties &)
void | operator= (const ProtocolProperties &)

## Member Typedef Documentation

typedef ProtocolProperties_ptr RTCORBA::ProtocolProperties::_ptr_type

| Reimplemented from CORBA_Object. Reimplemented in RTCORBA::TCPProtocolProperties, RTCORBA::GIOPProtocolProperties, RTCORBA::UnixDomainProtocolProperties, and RTCORBA::SharedMemoryProtocolProperties.

typedef ProtocolProperties_var RTCORBA::ProtocolProperties::_var_type

| Reimplemented from CORBA_Object. Reimplemented in RTCORBA::TCPProtocolProperties, RTCORBA::GIOPProtocolProperties, RTCORBA::UnixDomainProtocolProperties, and RTCORBA::SharedMemoryProtocolProperties.

## Constructor & Destructor Documentation

RTCORBA::ProtocolProperties::ProtocolProperties | ( | void |  | ) | `[protected]`

virtual RTCORBA::ProtocolProperties::~ProtocolProperties | ( | void |  | ) | `[protected, virtual]`

RTCORBA::ProtocolProperties::ProtocolProperties | ( | const ProtocolProperties & |  | ) | `[private]`

## Member Function Documentation

ProtocolProperties_ptr RTCORBA::ProtocolProperties::_duplicate | ( | ProtocolProperties_ptr | obj | ) | `[static]`

virtual const char* RTCORBA::ProtocolProperties::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA_Object. Reimplemented in RTCORBA::TCPProtocolProperties, RTCORBA::GIOPProtocolProperties, RTCORBA::UnixDomainProtocolProperties, and RTCORBA::SharedMemoryProtocolProperties.

ProtocolProperties_ptr RTCORBA::ProtocolProperties::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented in RTCORBA::TCPProtocolProperties, RTCORBA::GIOPProtocolProperties, RTCORBA::UnixDomainProtocolProperties, and RTCORBA::SharedMemoryProtocolProperties.

ProtocolProperties_ptr RTCORBA::ProtocolProperties::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA_Object. Reimplemented in RTCORBA::TCPProtocolProperties, RTCORBA::GIOPProtocolProperties, RTCORBA::UnixDomainProtocolProperties, and RTCORBA::SharedMemoryProtocolProperties.

CORBA::Boolean RTCORBA::ProtocolProperties::_tao_decode | ( | TAO_InputCDR & | in_cdr | ) | `[virtual]`

| Reimplemented from TAO_Encodable. Reimplemented in TAO_TCP_Properties, TAO_Unix_Domain_Properties, TAO_SMEM_Properties, and TAO_GIOP_Properties.

CORBA::Boolean RTCORBA::ProtocolProperties::_tao_encode | ( | TAO_OutputCDR & | out_cdr | ) | `[virtual]`

| Reimplemented from TAO_Encodable. Reimplemented in TAO_TCP_Properties, TAO_Unix_Domain_Properties, TAO_SMEM_Properties, and TAO_GIOP_Properties.

virtual void* RTCORBA::ProtocolProperties::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA_Object. Reimplemented in RTCORBA::TCPProtocolProperties, RTCORBA::GIOPProtocolProperties, RTCORBA::UnixDomainProtocolProperties, and RTCORBA::SharedMemoryProtocolProperties.

ProtocolProperties_ptr RTCORBA::ProtocolProperties::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented in RTCORBA::TCPProtocolProperties, RTCORBA::GIOPProtocolProperties, RTCORBA::UnixDomainProtocolProperties, and RTCORBA::SharedMemoryProtocolProperties.

void RTCORBA::ProtocolProperties::operator= | ( | const ProtocolProperties & |  | ) | `[private]`

## Member Data Documentation

int RTCORBA::ProtocolProperties::_tao_class_id`[static]`

| Reimplemented from CORBA_Object. Reimplemented in RTCORBA::TCPProtocolProperties, RTCORBA::GIOPProtocolProperties, RTCORBA::UnixDomainProtocolProperties, and RTCORBA::SharedMemoryProtocolProperties.

The documentation for this interface was generated from the following files:

- RTCORBA.pidl
- RTCORBAC.h
- RTCORBAC.cpp